Subject: RE: [Ospf-wireless-design] Design Team Problem Statement

From: "Henderson, Thomas R" <[email-masked]>
Date: Tue, 14 Sep 2004 14:12:45 -0700

Sorry I am late to respond to these threads, but I was on
vacation, then on some other business travel until yesterday.

I will respond to Madhavi's message in a separate email, but
have the following separate comments:

> -----Original Message-----
> From: Acee Lindem [mailto:[email-masked]] 
> Sent: Wednesday, September 01, 2004 7:49 AM
> To: [email-masked]
> Subject: [Ospf-wireless-design] Design Team Problem Statement 
> 
> 
> I've struggled with this and here is what Joe and I have come up
> with so far. I think it might be good to bounce it off the group
> for opinions on what this should contain.
> 
> 
>              OSPF Wireless Design Team Problem Statement
> 
>   The charter of the design team will be to select the initial
>   set of OSPFv3 extensions in support of wireless (or MANET) networks
>   and document these in one or more Internet Drafts. The extensions
>   will become WG documents and will be reviewed by the OSPF 
> and MANET WGs.
>   The initial environment will be viewed as:
> 
>    1) Design team will focus on OSPFv3 and not OSPFv2.
>    2) Compatibility with non-wireless OSPFv3 implementations must be
>       maintained.
>    3) Only Intra-area environments will be considered in the 
> initial set of
>       extensions.
>    4) MANET wireless environments will not normally be a transit for
>       wireline networks but this shouldn't be precluded.

I do not understand how to deal with this goal.  Does this mean that
we are optimizing for a stub configuration, but will not preclude
hooking it up in transit configuration, in which case it will function
correctly but not necessarily be optimized for that scenario?

>    5) Number of nodes in the wireless network should be 50 - 
> XXX (where XXX
>       is what is acheivable given the technologies we have to 
> chose from).

As for this goal 5), how about "The scaling goal for the number of 
nodes on the wireless channel is up to 100 nodes, although larger
numbers of nodes might also be supportable."?

Rationale:
- if I recall correctly, larger than 100 node MANETs were considered
to be the province of the ANS research group, back when MANET rechartered
in 2002
- no need to lower limit the number of nodes at 50
- by limiting the number of nodes on the wireless *channel*, and not
in the overall *network*, we allow for possibility of larger networks 
that may only have a small wireless component

>    6) When possible, mechanisms from existing MANET protocols 
> should be
>       leveraged.
>    7) Technology without IPR claims should be preferred over 
> technology
>       with IPR claims (ala section 8 of RFC 3668).
> 
>   The simulation/performance work in and of itself is not a 
> goal of the
>   design team except in the context of evaluation of OSPFv3 
> extensions.
> 

_______________________________________________
Ospf-wireless-design mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf-wireless-design

---

From: Joe Macker <[email-masked]>
Date: Wed, 15 Sep 2004 11:46:17 -0400

>correctly but not necessarily be optimized for that scenario?
Tom that is how I interpret it.  I agree we should not preclude transit.
Also, there is more of an initial design emphasis on intraarea mobility 
enhancements

Regarding the term optimized...

I would prefer to target improved effectiveness and robustness 
improvement goals rather than maximal efficiency.What are the priority 
factors for improvement and scaling balanced against complexity?

An example from your recent analysis, is its not clear that the reducing 
HELLOs is a big issue (e.g., consuming local resource only) for scaling, 
but it is likely more about the LS flooding process optimization.

We debated this for a bit at the first design team meeting... but I do 
not remember a clear conclusion.

>that may only have a small wireless component
I hate using number since everything is scaling issues are so scenario 
dependent (e.g., link rate supported, mobility rates and models, 
expected neighborhood densities).  But I know people want a nominal 
notion.  50-100  range sounds about right....But what if in a given 
scenario 50 scales well with a low impact, low complexity design and 100 
doesn't? Do we discuss it or do we just say it didn't make the 100 cut.

---

From: "Acee Lindem" <[email-masked]>
Date: Wed, 22 Sep 2004 15:54:44 -0400

With respect to the number of nodes, I think it is within a single
wireless cloud. 

----- Original Message ----- 
From: "Henderson, Thomas R" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, September 14, 2004 5:12 PM
Subject: RE: [Ospf-wireless-design] Design Team Problem Statement 

Rationale:

---

From: Abhay Roy <[email-masked]>
Date: Thu, 23 Sep 2004 12:17:38 -0700 (PDT)

[I was on vacation.. sorry for late responses]

On 09/15/04-0400 at 11:46am, Joe Macker writes:

>>>   5) Number of nodes in the wireless network should be 50 - XXX (where XXX
>>>      is what is acheivable given the technologies we have to chose from).
>>> 
>> 
>> As for this goal 5), how about "The scaling goal for the number of nodes on 
>> the wireless channel is up to 100 nodes, although larger
>> in the overall *network*, we allow for possibility of larger networks that 
>> may only have a small wireless component
>> 
> dependent (e.g., link rate supported, mobility rates and models, expected 
> neighborhood densities).  But I know people want a nominal notion.  50-100 
> range sounds about right....But what if in a given scenario 50 scales well 
> with a low impact, low complexity design and 100 doesn't? Do we discuss it or 
> do we just say it didn't make the 100 cut.

Agree here. It's hard to put a number without specifying what sort of
mobility and other characteristics we are talking about. My vote will
be to not have this item as a "goal". But if we do want to have
something I would suggest a "minimum of 50 nodes in a moderate group
mobility scenario".

Regards,
-Roy-